During upgrade the following errors occurred:

A dialogue box asking for password came up about a 100 times
"Authentication is required to update SMART data from ST#### (/dev/sda)"
"action:...